Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network50.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
50.64.0.0
Broadcast address
50.71.255.255
First usable
50.64.0.1
Last usable
50.71.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 32400000 · Integer 843055104 to 843579391
Reverse DNS zones
64.50.in-addr.arpa
65.50.in-addr.arpa
66.50.in-addr.arpa
67.50.in-addr.arpa
68.50.in-addr.arpa
69.50.in-addr.arpa
70.50.in-addr.arpa
71.50.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110010.01000000.00000000.0000000050.64.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00110010.01000000.00000000.0000000050.64.0.0
Broadcast00110010.01000111.11111111.1111111150.71.255.255
Split into smaller subnets/22

50.64.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
150.64.0.0/2250.64.0.1 to 50.64.3.25450.64.3.2551,022
250.64.4.0/2250.64.4.1 to 50.64.7.25450.64.7.2551,022
350.64.8.0/2250.64.8.1 to 50.64.11.25450.64.11.2551,022
450.64.12.0/2250.64.12.1 to 50.64.15.25450.64.15.2551,022
550.64.16.0/2250.64.16.1 to 50.64.19.25450.64.19.2551,022
650.64.20.0/2250.64.20.1 to 50.64.23.25450.64.23.2551,022
750.64.24.0/2250.64.24.1 to 50.64.27.25450.64.27.2551,022
850.64.28.0/2250.64.28.1 to 50.64.31.25450.64.31.2551,022
950.64.32.0/2250.64.32.1 to 50.64.35.25450.64.35.2551,022
1050.64.36.0/2250.64.36.1 to 50.64.39.25450.64.39.2551,022
1150.64.40.0/2250.64.40.1 to 50.64.43.25450.64.43.2551,022
1250.64.44.0/2250.64.44.1 to 50.64.47.25450.64.47.2551,022
1350.64.48.0/2250.64.48.1 to 50.64.51.25450.64.51.2551,022
1450.64.52.0/2250.64.52.1 to 50.64.55.25450.64.55.2551,022
1550.64.56.0/2250.64.56.1 to 50.64.59.25450.64.59.2551,022
1650.64.60.0/2250.64.60.1 to 50.64.63.25450.64.63.2551,022
1750.64.64.0/2250.64.64.1 to 50.64.67.25450.64.67.2551,022
1850.64.68.0/2250.64.68.1 to 50.64.71.25450.64.71.2551,022
1950.64.72.0/2250.64.72.1 to 50.64.75.25450.64.75.2551,022
2050.64.76.0/2250.64.76.1 to 50.64.79.25450.64.79.2551,022
2150.64.80.0/2250.64.80.1 to 50.64.83.25450.64.83.2551,022
2250.64.84.0/2250.64.84.1 to 50.64.87.25450.64.87.2551,022
2350.64.88.0/2250.64.88.1 to 50.64.91.25450.64.91.2551,022
2450.64.92.0/2250.64.92.1 to 50.64.95.25450.64.95.2551,022
2550.64.96.0/2250.64.96.1 to 50.64.99.25450.64.99.2551,022
2650.64.100.0/2250.64.100.1 to 50.64.103.25450.64.103.2551,022
2750.64.104.0/2250.64.104.1 to 50.64.107.25450.64.107.2551,022
2850.64.108.0/2250.64.108.1 to 50.64.111.25450.64.111.2551,022
2950.64.112.0/2250.64.112.1 to 50.64.115.25450.64.115.2551,022
3050.64.116.0/2250.64.116.1 to 50.64.119.25450.64.119.2551,022
3150.64.120.0/2250.64.120.1 to 50.64.123.25450.64.123.2551,022
3250.64.124.0/2250.64.124.1 to 50.64.127.25450.64.127.2551,022
3350.64.128.0/2250.64.128.1 to 50.64.131.25450.64.131.2551,022
3450.64.132.0/2250.64.132.1 to 50.64.135.25450.64.135.2551,022
3550.64.136.0/2250.64.136.1 to 50.64.139.25450.64.139.2551,022
3650.64.140.0/2250.64.140.1 to 50.64.143.25450.64.143.2551,022
3750.64.144.0/2250.64.144.1 to 50.64.147.25450.64.147.2551,022
3850.64.148.0/2250.64.148.1 to 50.64.151.25450.64.151.2551,022
3950.64.152.0/2250.64.152.1 to 50.64.155.25450.64.155.2551,022
4050.64.156.0/2250.64.156.1 to 50.64.159.25450.64.159.2551,022
4150.64.160.0/2250.64.160.1 to 50.64.163.25450.64.163.2551,022
4250.64.164.0/2250.64.164.1 to 50.64.167.25450.64.167.2551,022
4350.64.168.0/2250.64.168.1 to 50.64.171.25450.64.171.2551,022
4450.64.172.0/2250.64.172.1 to 50.64.175.25450.64.175.2551,022
4550.64.176.0/2250.64.176.1 to 50.64.179.25450.64.179.2551,022
4650.64.180.0/2250.64.180.1 to 50.64.183.25450.64.183.2551,022
4750.64.184.0/2250.64.184.1 to 50.64.187.25450.64.187.2551,022
4850.64.188.0/2250.64.188.1 to 50.64.191.25450.64.191.2551,022
4950.64.192.0/2250.64.192.1 to 50.64.195.25450.64.195.2551,022
5050.64.196.0/2250.64.196.1 to 50.64.199.25450.64.199.2551,022
5150.64.200.0/2250.64.200.1 to 50.64.203.25450.64.203.2551,022
5250.64.204.0/2250.64.204.1 to 50.64.207.25450.64.207.2551,022
5350.64.208.0/2250.64.208.1 to 50.64.211.25450.64.211.2551,022
5450.64.212.0/2250.64.212.1 to 50.64.215.25450.64.215.2551,022
5550.64.216.0/2250.64.216.1 to 50.64.219.25450.64.219.2551,022
5650.64.220.0/2250.64.220.1 to 50.64.223.25450.64.223.2551,022
5750.64.224.0/2250.64.224.1 to 50.64.227.25450.64.227.2551,022
5850.64.228.0/2250.64.228.1 to 50.64.231.25450.64.231.2551,022
5950.64.232.0/2250.64.232.1 to 50.64.235.25450.64.235.2551,022
6050.64.236.0/2250.64.236.1 to 50.64.239.25450.64.239.2551,022
6150.64.240.0/2250.64.240.1 to 50.64.243.25450.64.243.2551,022
6250.64.244.0/2250.64.244.1 to 50.64.247.25450.64.247.2551,022
6350.64.248.0/2250.64.248.1 to 50.64.251.25450.64.251.2551,022
6450.64.252.0/2250.64.252.1 to 50.64.255.25450.64.255.2551,022
6550.65.0.0/2250.65.0.1 to 50.65.3.25450.65.3.2551,022
6650.65.4.0/2250.65.4.1 to 50.65.7.25450.65.7.2551,022
6750.65.8.0/2250.65.8.1 to 50.65.11.25450.65.11.2551,022
6850.65.12.0/2250.65.12.1 to 50.65.15.25450.65.15.2551,022
6950.65.16.0/2250.65.16.1 to 50.65.19.25450.65.19.2551,022
7050.65.20.0/2250.65.20.1 to 50.65.23.25450.65.23.2551,022
7150.65.24.0/2250.65.24.1 to 50.65.27.25450.65.27.2551,022
7250.65.28.0/2250.65.28.1 to 50.65.31.25450.65.31.2551,022
7350.65.32.0/2250.65.32.1 to 50.65.35.25450.65.35.2551,022
7450.65.36.0/2250.65.36.1 to 50.65.39.25450.65.39.2551,022
7550.65.40.0/2250.65.40.1 to 50.65.43.25450.65.43.2551,022
7650.65.44.0/2250.65.44.1 to 50.65.47.25450.65.47.2551,022
7750.65.48.0/2250.65.48.1 to 50.65.51.25450.65.51.2551,022
7850.65.52.0/2250.65.52.1 to 50.65.55.25450.65.55.2551,022
7950.65.56.0/2250.65.56.1 to 50.65.59.25450.65.59.2551,022
8050.65.60.0/2250.65.60.1 to 50.65.63.25450.65.63.2551,022
8150.65.64.0/2250.65.64.1 to 50.65.67.25450.65.67.2551,022
8250.65.68.0/2250.65.68.1 to 50.65.71.25450.65.71.2551,022
8350.65.72.0/2250.65.72.1 to 50.65.75.25450.65.75.2551,022
8450.65.76.0/2250.65.76.1 to 50.65.79.25450.65.79.2551,022
8550.65.80.0/2250.65.80.1 to 50.65.83.25450.65.83.2551,022
8650.65.84.0/2250.65.84.1 to 50.65.87.25450.65.87.2551,022
8750.65.88.0/2250.65.88.1 to 50.65.91.25450.65.91.2551,022
8850.65.92.0/2250.65.92.1 to 50.65.95.25450.65.95.2551,022
8950.65.96.0/2250.65.96.1 to 50.65.99.25450.65.99.2551,022
9050.65.100.0/2250.65.100.1 to 50.65.103.25450.65.103.2551,022
9150.65.104.0/2250.65.104.1 to 50.65.107.25450.65.107.2551,022
9250.65.108.0/2250.65.108.1 to 50.65.111.25450.65.111.2551,022
9350.65.112.0/2250.65.112.1 to 50.65.115.25450.65.115.2551,022
9450.65.116.0/2250.65.116.1 to 50.65.119.25450.65.119.2551,022
9550.65.120.0/2250.65.120.1 to 50.65.123.25450.65.123.2551,022
9650.65.124.0/2250.65.124.1 to 50.65.127.25450.65.127.2551,022
9750.65.128.0/2250.65.128.1 to 50.65.131.25450.65.131.2551,022
9850.65.132.0/2250.65.132.1 to 50.65.135.25450.65.135.2551,022
9950.65.136.0/2250.65.136.1 to 50.65.139.25450.65.139.2551,022
10050.65.140.0/2250.65.140.1 to 50.65.143.25450.65.143.2551,022
10150.65.144.0/2250.65.144.1 to 50.65.147.25450.65.147.2551,022
10250.65.148.0/2250.65.148.1 to 50.65.151.25450.65.151.2551,022
10350.65.152.0/2250.65.152.1 to 50.65.155.25450.65.155.2551,022
10450.65.156.0/2250.65.156.1 to 50.65.159.25450.65.159.2551,022
10550.65.160.0/2250.65.160.1 to 50.65.163.25450.65.163.2551,022
10650.65.164.0/2250.65.164.1 to 50.65.167.25450.65.167.2551,022
10750.65.168.0/2250.65.168.1 to 50.65.171.25450.65.171.2551,022
10850.65.172.0/2250.65.172.1 to 50.65.175.25450.65.175.2551,022
10950.65.176.0/2250.65.176.1 to 50.65.179.25450.65.179.2551,022
11050.65.180.0/2250.65.180.1 to 50.65.183.25450.65.183.2551,022
11150.65.184.0/2250.65.184.1 to 50.65.187.25450.65.187.2551,022
11250.65.188.0/2250.65.188.1 to 50.65.191.25450.65.191.2551,022
11350.65.192.0/2250.65.192.1 to 50.65.195.25450.65.195.2551,022
11450.65.196.0/2250.65.196.1 to 50.65.199.25450.65.199.2551,022
11550.65.200.0/2250.65.200.1 to 50.65.203.25450.65.203.2551,022
11650.65.204.0/2250.65.204.1 to 50.65.207.25450.65.207.2551,022
11750.65.208.0/2250.65.208.1 to 50.65.211.25450.65.211.2551,022
11850.65.212.0/2250.65.212.1 to 50.65.215.25450.65.215.2551,022
11950.65.216.0/2250.65.216.1 to 50.65.219.25450.65.219.2551,022
12050.65.220.0/2250.65.220.1 to 50.65.223.25450.65.223.2551,022
12150.65.224.0/2250.65.224.1 to 50.65.227.25450.65.227.2551,022
12250.65.228.0/2250.65.228.1 to 50.65.231.25450.65.231.2551,022
12350.65.232.0/2250.65.232.1 to 50.65.235.25450.65.235.2551,022
12450.65.236.0/2250.65.236.1 to 50.65.239.25450.65.239.2551,022
12550.65.240.0/2250.65.240.1 to 50.65.243.25450.65.243.2551,022
12650.65.244.0/2250.65.244.1 to 50.65.247.25450.65.247.2551,022
12750.65.248.0/2250.65.248.1 to 50.65.251.25450.65.251.2551,022
12850.65.252.0/2250.65.252.1 to 50.65.255.25450.65.255.2551,022
12950.66.0.0/2250.66.0.1 to 50.66.3.25450.66.3.2551,022
13050.66.4.0/2250.66.4.1 to 50.66.7.25450.66.7.2551,022
13150.66.8.0/2250.66.8.1 to 50.66.11.25450.66.11.2551,022
13250.66.12.0/2250.66.12.1 to 50.66.15.25450.66.15.2551,022
13350.66.16.0/2250.66.16.1 to 50.66.19.25450.66.19.2551,022
13450.66.20.0/2250.66.20.1 to 50.66.23.25450.66.23.2551,022
13550.66.24.0/2250.66.24.1 to 50.66.27.25450.66.27.2551,022
13650.66.28.0/2250.66.28.1 to 50.66.31.25450.66.31.2551,022
13750.66.32.0/2250.66.32.1 to 50.66.35.25450.66.35.2551,022
13850.66.36.0/2250.66.36.1 to 50.66.39.25450.66.39.2551,022
13950.66.40.0/2250.66.40.1 to 50.66.43.25450.66.43.2551,022
14050.66.44.0/2250.66.44.1 to 50.66.47.25450.66.47.2551,022
14150.66.48.0/2250.66.48.1 to 50.66.51.25450.66.51.2551,022
14250.66.52.0/2250.66.52.1 to 50.66.55.25450.66.55.2551,022
14350.66.56.0/2250.66.56.1 to 50.66.59.25450.66.59.2551,022
14450.66.60.0/2250.66.60.1 to 50.66.63.25450.66.63.2551,022
14550.66.64.0/2250.66.64.1 to 50.66.67.25450.66.67.2551,022
14650.66.68.0/2250.66.68.1 to 50.66.71.25450.66.71.2551,022
14750.66.72.0/2250.66.72.1 to 50.66.75.25450.66.75.2551,022
14850.66.76.0/2250.66.76.1 to 50.66.79.25450.66.79.2551,022
14950.66.80.0/2250.66.80.1 to 50.66.83.25450.66.83.2551,022
15050.66.84.0/2250.66.84.1 to 50.66.87.25450.66.87.2551,022
15150.66.88.0/2250.66.88.1 to 50.66.91.25450.66.91.2551,022
15250.66.92.0/2250.66.92.1 to 50.66.95.25450.66.95.2551,022
15350.66.96.0/2250.66.96.1 to 50.66.99.25450.66.99.2551,022
15450.66.100.0/2250.66.100.1 to 50.66.103.25450.66.103.2551,022
15550.66.104.0/2250.66.104.1 to 50.66.107.25450.66.107.2551,022
15650.66.108.0/2250.66.108.1 to 50.66.111.25450.66.111.2551,022
15750.66.112.0/2250.66.112.1 to 50.66.115.25450.66.115.2551,022
15850.66.116.0/2250.66.116.1 to 50.66.119.25450.66.119.2551,022
15950.66.120.0/2250.66.120.1 to 50.66.123.25450.66.123.2551,022
16050.66.124.0/2250.66.124.1 to 50.66.127.25450.66.127.2551,022
16150.66.128.0/2250.66.128.1 to 50.66.131.25450.66.131.2551,022
16250.66.132.0/2250.66.132.1 to 50.66.135.25450.66.135.2551,022
16350.66.136.0/2250.66.136.1 to 50.66.139.25450.66.139.2551,022
16450.66.140.0/2250.66.140.1 to 50.66.143.25450.66.143.2551,022
16550.66.144.0/2250.66.144.1 to 50.66.147.25450.66.147.2551,022
16650.66.148.0/2250.66.148.1 to 50.66.151.25450.66.151.2551,022
16750.66.152.0/2250.66.152.1 to 50.66.155.25450.66.155.2551,022
16850.66.156.0/2250.66.156.1 to 50.66.159.25450.66.159.2551,022
16950.66.160.0/2250.66.160.1 to 50.66.163.25450.66.163.2551,022
17050.66.164.0/2250.66.164.1 to 50.66.167.25450.66.167.2551,022
17150.66.168.0/2250.66.168.1 to 50.66.171.25450.66.171.2551,022
17250.66.172.0/2250.66.172.1 to 50.66.175.25450.66.175.2551,022
17350.66.176.0/2250.66.176.1 to 50.66.179.25450.66.179.2551,022
17450.66.180.0/2250.66.180.1 to 50.66.183.25450.66.183.2551,022
17550.66.184.0/2250.66.184.1 to 50.66.187.25450.66.187.2551,022
17650.66.188.0/2250.66.188.1 to 50.66.191.25450.66.191.2551,022
17750.66.192.0/2250.66.192.1 to 50.66.195.25450.66.195.2551,022
17850.66.196.0/2250.66.196.1 to 50.66.199.25450.66.199.2551,022
17950.66.200.0/2250.66.200.1 to 50.66.203.25450.66.203.2551,022
18050.66.204.0/2250.66.204.1 to 50.66.207.25450.66.207.2551,022
18150.66.208.0/2250.66.208.1 to 50.66.211.25450.66.211.2551,022
18250.66.212.0/2250.66.212.1 to 50.66.215.25450.66.215.2551,022
18350.66.216.0/2250.66.216.1 to 50.66.219.25450.66.219.2551,022
18450.66.220.0/2250.66.220.1 to 50.66.223.25450.66.223.2551,022
18550.66.224.0/2250.66.224.1 to 50.66.227.25450.66.227.2551,022
18650.66.228.0/2250.66.228.1 to 50.66.231.25450.66.231.2551,022
18750.66.232.0/2250.66.232.1 to 50.66.235.25450.66.235.2551,022
18850.66.236.0/2250.66.236.1 to 50.66.239.25450.66.239.2551,022
18950.66.240.0/2250.66.240.1 to 50.66.243.25450.66.243.2551,022
19050.66.244.0/2250.66.244.1 to 50.66.247.25450.66.247.2551,022
19150.66.248.0/2250.66.248.1 to 50.66.251.25450.66.251.2551,022
19250.66.252.0/2250.66.252.1 to 50.66.255.25450.66.255.2551,022
19350.67.0.0/2250.67.0.1 to 50.67.3.25450.67.3.2551,022
19450.67.4.0/2250.67.4.1 to 50.67.7.25450.67.7.2551,022
19550.67.8.0/2250.67.8.1 to 50.67.11.25450.67.11.2551,022
19650.67.12.0/2250.67.12.1 to 50.67.15.25450.67.15.2551,022
19750.67.16.0/2250.67.16.1 to 50.67.19.25450.67.19.2551,022
19850.67.20.0/2250.67.20.1 to 50.67.23.25450.67.23.2551,022
19950.67.24.0/2250.67.24.1 to 50.67.27.25450.67.27.2551,022
20050.67.28.0/2250.67.28.1 to 50.67.31.25450.67.31.2551,022
20150.67.32.0/2250.67.32.1 to 50.67.35.25450.67.35.2551,022
20250.67.36.0/2250.67.36.1 to 50.67.39.25450.67.39.2551,022
20350.67.40.0/2250.67.40.1 to 50.67.43.25450.67.43.2551,022
20450.67.44.0/2250.67.44.1 to 50.67.47.25450.67.47.2551,022
20550.67.48.0/2250.67.48.1 to 50.67.51.25450.67.51.2551,022
20650.67.52.0/2250.67.52.1 to 50.67.55.25450.67.55.2551,022
20750.67.56.0/2250.67.56.1 to 50.67.59.25450.67.59.2551,022
20850.67.60.0/2250.67.60.1 to 50.67.63.25450.67.63.2551,022
20950.67.64.0/2250.67.64.1 to 50.67.67.25450.67.67.2551,022
21050.67.68.0/2250.67.68.1 to 50.67.71.25450.67.71.2551,022
21150.67.72.0/2250.67.72.1 to 50.67.75.25450.67.75.2551,022
21250.67.76.0/2250.67.76.1 to 50.67.79.25450.67.79.2551,022
21350.67.80.0/2250.67.80.1 to 50.67.83.25450.67.83.2551,022
21450.67.84.0/2250.67.84.1 to 50.67.87.25450.67.87.2551,022
21550.67.88.0/2250.67.88.1 to 50.67.91.25450.67.91.2551,022
21650.67.92.0/2250.67.92.1 to 50.67.95.25450.67.95.2551,022
21750.67.96.0/2250.67.96.1 to 50.67.99.25450.67.99.2551,022
21850.67.100.0/2250.67.100.1 to 50.67.103.25450.67.103.2551,022
21950.67.104.0/2250.67.104.1 to 50.67.107.25450.67.107.2551,022
22050.67.108.0/2250.67.108.1 to 50.67.111.25450.67.111.2551,022
22150.67.112.0/2250.67.112.1 to 50.67.115.25450.67.115.2551,022
22250.67.116.0/2250.67.116.1 to 50.67.119.25450.67.119.2551,022
22350.67.120.0/2250.67.120.1 to 50.67.123.25450.67.123.2551,022
22450.67.124.0/2250.67.124.1 to 50.67.127.25450.67.127.2551,022
22550.67.128.0/2250.67.128.1 to 50.67.131.25450.67.131.2551,022
22650.67.132.0/2250.67.132.1 to 50.67.135.25450.67.135.2551,022
22750.67.136.0/2250.67.136.1 to 50.67.139.25450.67.139.2551,022
22850.67.140.0/2250.67.140.1 to 50.67.143.25450.67.143.2551,022
22950.67.144.0/2250.67.144.1 to 50.67.147.25450.67.147.2551,022
23050.67.148.0/2250.67.148.1 to 50.67.151.25450.67.151.2551,022
23150.67.152.0/2250.67.152.1 to 50.67.155.25450.67.155.2551,022
23250.67.156.0/2250.67.156.1 to 50.67.159.25450.67.159.2551,022
23350.67.160.0/2250.67.160.1 to 50.67.163.25450.67.163.2551,022
23450.67.164.0/2250.67.164.1 to 50.67.167.25450.67.167.2551,022
23550.67.168.0/2250.67.168.1 to 50.67.171.25450.67.171.2551,022
23650.67.172.0/2250.67.172.1 to 50.67.175.25450.67.175.2551,022
23750.67.176.0/2250.67.176.1 to 50.67.179.25450.67.179.2551,022
23850.67.180.0/2250.67.180.1 to 50.67.183.25450.67.183.2551,022
23950.67.184.0/2250.67.184.1 to 50.67.187.25450.67.187.2551,022
24050.67.188.0/2250.67.188.1 to 50.67.191.25450.67.191.2551,022
24150.67.192.0/2250.67.192.1 to 50.67.195.25450.67.195.2551,022
24250.67.196.0/2250.67.196.1 to 50.67.199.25450.67.199.2551,022
24350.67.200.0/2250.67.200.1 to 50.67.203.25450.67.203.2551,022
24450.67.204.0/2250.67.204.1 to 50.67.207.25450.67.207.2551,022
24550.67.208.0/2250.67.208.1 to 50.67.211.25450.67.211.2551,022
24650.67.212.0/2250.67.212.1 to 50.67.215.25450.67.215.2551,022
24750.67.216.0/2250.67.216.1 to 50.67.219.25450.67.219.2551,022
24850.67.220.0/2250.67.220.1 to 50.67.223.25450.67.223.2551,022
24950.67.224.0/2250.67.224.1 to 50.67.227.25450.67.227.2551,022
25050.67.228.0/2250.67.228.1 to 50.67.231.25450.67.231.2551,022
25150.67.232.0/2250.67.232.1 to 50.67.235.25450.67.235.2551,022
25250.67.236.0/2250.67.236.1 to 50.67.239.25450.67.239.2551,022
25350.67.240.0/2250.67.240.1 to 50.67.243.25450.67.243.2551,022
25450.67.244.0/2250.67.244.1 to 50.67.247.25450.67.247.2551,022
25550.67.248.0/2250.67.248.1 to 50.67.251.25450.67.251.2551,022
25650.67.252.0/2250.67.252.1 to 50.67.255.25450.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses